Yoast SEO 19.10 Update – Know This Prior To Upgrading

Posted by

The totally free version of Yoast SEO updated to variation 19.10 and the premium version to 19.5, introducing various important modifications.

This is what you must know about these releases if you’re considering whether or not to update.

WooCommerce 7.1 Compatibility

Both the totally free and exceptional version releases benefit users who run the just recently released WooCommerce version 7.1.

WooCommerce 7.1 is a big release and amongst the enhancements is a change to the database called, High Efficiency Order Storage (HPOS).

High Efficiency Order Storage makes changes to the database so the activation of this brand-new function is an optional for the time being to allow time for plugin developers to catch up with the new feature.

A WooCommerce explainer noted:

“After the first production release, the HPOS function will continue to be opt-in and we will help designers in making their plugins compatible with HPOS, carefully monitor the number of extensions are compatible and the number of stores are actively evaluating the function.”

Yoast 19.10/ 19.5 Premium both feature compatibility with the new WooCommerce HPOS function. That indicates if activation of HPOS results in a site crash it’s safe to dismiss Yoast SEO as a perpetrator.

Users of the WooCommerce SEO add-on for Yoast will also take advantage of an upgrade to structured information that makes it eligible for new improvements in search in Google.

Yoast 19.10 Fixes a Deadly Mistake Bug

The upgraded Yoast SEO plugin uses a patch for a bug that can result in website crashes.

The Yoast SEO changelog blames the problem on other (unnamed) plugins:

“Repairs a bug where a fatal mistake would be included the timeless editor in combination with particular plugins that misuse metabox hooks.”

An example of a metabox is a custom field that permits users to include additional content that isn’t in the primary material.

Repairs Two Elementor-related Bugs

The very first Elementor-related bugfix repairs an issue that impacted the capability to save Yoast SEO meta data (under certain scenarios), which is a huge deal.

The changelog states:

“Fixes a bug where Yoast SEO-related post meta information would not be saved if a user without the manage_options capability would conserve a post in Elementor.”

Yoast’s second bugfix is related to the previous one in that it arises from the exact same “manage_options capability” problem.

The changelog explains:

“Repairs a bug where users with site-wide fundamental gain access to authentication would be triggered to insert their credentials when conserving a post in Elementor if they didn’t have the manage_options capability.”

WordPress 6.1 Compatibility and Miscellaneous

Variation 19.10 deprecated over a lots hooks that are utilized for adding customized material to Yoast SEO settings pages.

Last But Not Least, Yoast SEO offers full compatibility with the simply released WordPress 6.1 code-named Misha.

Should You Update to the Latest Variation of Yoast SEO?

Some individuals not surprisingly prefer to wait before upgrading a plugin in case there’s a significant error which’s not a bad strategy.

Yoast SEO is utilized by over 5 million website publishers. The updated plugin was released the other day and there are no reports in the Yoast SEO assistance online forum that indicates that there are any extensive problems with this upgrade.

In truth, there are presently just random problems that often have more to do with other plugins and styles.

There are no issues that indicate a pattern of concerns connected to this upgrade.

Thinking about updating to the current variation of Yoast SEO is a great concept, particularly to those who utilize WooCommerce or Elementor however not restricted to those users.

Yoast SEO 19.10/ 19.5 Premium are both suitable with the latest version of WordPress so that in itself makes upgrading a preferable choice in addition to being a great practice to using the latest version of all plugins and styles considering that this assists avoid incompatibility concerns.

Featured image by Best SMM Panel/Luis Molinero